--
-- SGD TemplateFile
--
-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "DIAGRAMA DE ROSETAS",
	  graphSubtitle = "Sub",
	  templateName = "TORTA",
	  templateIndex = 2,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Personalizar (p)",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      isrose = true,
	      y1axeTitle = "Personalizar (p)",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 39,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	      y3axeSeries = {
	      },
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "DIAGRAM OF ROSETTES",
		  graphSubtitle = "Sub",
		  templateName = "TORTA",
		  templateIndex = 2,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Personalizar (p)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      isrose = true,
		      y1axeTitle = "Personalizar (p)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 39,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		      y3axeSeries = {
		      },
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "DIAGRAMA DE ROSETAS",
		  graphSubtitle = "Sub",
		  templateName = "TORTA",
		  templateIndex = 2,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Personalizar (p)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      isrose = true,
		      y1axeTitle = "Personalizar (p)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 39,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		      y3axeSeries = {
		      },
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."pie.lua")
--CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

grad_ = SgColorGradient:new("grad_")
grad_:addColor(SgColor:new(0,0,0)) --0 / 0
--1
grad_:addColor(SgColor:new(255,0,0)) --5 / 10
grad_:addColor(SgColor:new(0,255,0)) --10 / 20
grad_:addColor(SgColor:new(0,0,255)) --15 / 30
grad_:addColor(SgColor:new(255,255,0)) --20 / 40
grad_:addColor(SgColor:new(0,255,255)) --25 / 50
grad_:addColor(SgColor:new(255,0,255)) --30 / 60
grad_:addColor(SgColor:new(255,255,255)) --35 / 70
--8
grad_:addColor(SgColor:new(128,0,0)) --40 / 80
grad_:addColor(SgColor:new(0,128,0)) --45 / 90
grad_:addColor(SgColor:new(0,0,128)) --50 / 100
grad_:addColor(SgColor:new(128,128,0)) --55 / 110
grad_:addColor(SgColor:new(0,128,128)) --60 / 120
grad_:addColor(SgColor:new(128,0,128)) --65 / 130
grad_:addColor(SgColor:new(128,128,128)) --70 / 140
--15

grad_:addColor(SgColor:new(180,0,0)) --75 / 150
grad_:addColor(SgColor:new(0,180,0)) --80 / 160
grad_:addColor(SgColor:new(0,0,180)) --85 / 170
grad_:addColor(SgColor:new(180,180,0)) --90
grad_:addColor(SgColor:new(0,180,180)) --95
grad_:addColor(SgColor:new(180,0,180)) --100
grad_:addColor(SgColor:new(180,180,180)) --105
--22

grad_:addColor(SgColor:new(76,0,0)) --110
grad_:addColor(SgColor:new(0,76,0)) --115
grad_:addColor(SgColor:new(0,0,76)) --120
grad_:addColor(SgColor:new(76,76,0)) --125
grad_:addColor(SgColor:new(0,76,76)) --130
grad_:addColor(SgColor:new(76,0,76)) --135
grad_:addColor(SgColor:new(76,76,76)) --140
--29

grad_:addColor(SgColor:new(233, 32,32)) --145
grad_:addColor(SgColor:new(32,32,233)) --150
grad_:addColor(SgColor:new(32,233,32)) --155
grad_:addColor(SgColor:new(40,40,40)) -- 160
grad_:addColor(SgColor:new(230,230,230)) --165
grad_:addColor(SgColor:new(170,40,200)) --170
grad_:addColor(SgColor:new(200,170,40)) --175
--36

--grad_:addColor(SgColor:new(233, 32,32))
--grad_:addColor(SgColor:new(191, 64, 64))
--grad_:addColor(SgColor:new(159, 96, 96))
--grad_:addColor(SgColor:new(127, 128, 128))
--grad_:addColor(SgColor:new(95, 160, 160))
--grad_:addColor(SgColor:new(63, 192, 192))
--grad_:addColor(SgColor:new(31, 224, 224))
--grad_:addColor(SgColor:new(255, 0, 0))
plotarea_1:setColorSequence(grad_)
plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)