ALTER TABLE infolaye ADD COLUMN versao INTEGER UNSIGNED DEFAULT 0 AFTER imtype;

CREATE UNIQUE INDEX infounicos ON infolaye (nome,categoria,projeto);

CREATE UNIQUE INDEX projunicos ON projects (nome);

CREATE UNIQUE INDEX catunicos ON category (nome,pai);

CREATE TABLE SPRINGUSERS
(
	CODIGO               INTEGER     NOT NULL,
	NOME                 VARCHAR(32) NOT NULL,    
	LOGIN                 VARCHAR(32) NOT NULL UNIQUE,
	SENHA                VARCHAR(32) NOT NULL,
	mysql_id	integer UNSIGNED not null unique AUTO_INCREMENT,
    PRIMARY KEY (CODIGO)
) ENGINE = INNODB;

CREATE TABLE SPRINGWORKGROUP
(
	CODIGO               INTEGER     NOT NULL,
	NOME                 VARCHAR(32) NOT NULL UNIQUE,
	ADMINISTRADOR    INTEGER     NOT NULL,
	IMAGEM               INTEGER     NOT NULL,
	CADASTRAL          INTEGER     NOT NULL,
	NUMERICO            INTEGER     NOT NULL,
	REDE                   INTEGER     NOT NULL,
	TEMATICO            INTEGER     NOT NULL,
	NESPACIAL           INTEGER     NOT NULL,
	OBJETO                INTEGER     NOT NULL,
	METADADOS	      INTEGER     NOT NULL,
	mysql_id	integer UNSIGNED not null unique AUTO_INCREMENT,
    PRIMARY KEY (CODIGO)
) ENGINE = INNODB;

CREATE TABLE SPRINGUSERSWORKGROUP
(
	CODIGOUSER               INTEGER     NOT NULL,
	CODIGOWORK              INTEGER     NOT NULL,
	mysql_id	integer UNSIGNED not null unique AUTO_INCREMENT,
    PRIMARY KEY (CODIGOUSER,CODIGOWORK)
) ENGINE = INNODB;

CREATE TABLE SESSIONSPRING
(
	CODIGOUSER        INTEGER     NOT NULL,
	LOGINID           	  INTEGER NOT NULL,
	CODINFO			 INTEGER NOT NULL,
	CODCATEGORY	 INTEGER NOT NULL,
	NOMECARTA        VARCHAR(32) NOT NULL,
	OPERACAO			 INTEGER NOT NULL,
	mysql_id 			 INTEGER UNSIGNED not null unique AUTO_INCREMENT,
    PRIMARY KEY (mysql_id)
) ENGINE = INNODB;