ALTER TABLE infolaye ADD versao NUMBER(32)  DEFAULT 0;

CREATE UNIQUE INDEX infounicos ON infolaye (nome,categoria,projeto,DBID);

CREATE UNIQUE INDEX projunicos ON projects (nome,DBID);

CREATE UNIQUE INDEX catunicos ON category (nome,pai,DBID);

CREATE TABLE SPRINGUSERS
(
	CODIGO          NUMBER(32)     NOT NULL,
	NOME             VARCHAR2(32) NOT NULL,    
	LOGIN            VARCHAR2(32) NOT NULL,
	SENHA           VARCHAR2(32) NOT NULL,
	DBID			    NUMBER(32)
);

ALTER TABLE SPRINGUSERS ADD  ( PRIMARY KEY (CODIGO,DBID) ) ;

CREATE TABLE SPRINGWORKGROUP
(
	CODIGO               NUMBER(32)     NOT NULL,
	NOME                 VARCHAR2(32)   NOT NULL ,  
    ADMINISTRADOR    NUMBER(32)      NOT NULL,	
	IMAGEM               NUMBER(32)     NOT NULL,
	CADASTRAL          NUMBER(32)     NOT NULL,
	NUMERICO            NUMBER(32)     NOT NULL,
	REDE                   NUMBER(32)     NOT NULL,
	TEMATICO            NUMBER(32)     NOT NULL,
	NESPACIAL           NUMBER(32)     NOT NULL,
	OBJETO               NUMBER(32)     NOT NULL,
	METADADOS	      NUMBER(32)     NOT NULL,
	DBID			         NUMBER(32)
);

CREATE UNIQUE INDEX workgroupunicos ON SPRINGWORKGROUP (NOME,DBID);

ALTER TABLE SPRINGWORKGROUP ADD  ( PRIMARY KEY (CODIGO,DBID) ) ;

CREATE TABLE SPRINGUSERSWORKGROUP
(
	CODIGOUSER               INTEGER     NOT NULL,
	CODIGOWORK              INTEGER     NOT NULL,
	DBID			    NUMBER(32)
);

ALTER TABLE SPRINGUSERSWORKGROUP ADD  ( PRIMARY KEY (CODIGOUSER,CODIGOWORK,DBID) ) ;

ALTER TABLE SPRINGUSERSWORKGROUP ADD  ( FOREIGN KEY (DBID) REFERENCES SPRINGDBS ON DELETE CASCADE ) ;
ALTER TABLE SPRINGUSERSWORKGROUP ADD  ( FOREIGN KEY (CODIGOUSER,DBID) REFERENCES SPRINGUSERS(CODIGO,DBID) ON DELETE CASCADE ) ;
ALTER TABLE SPRINGUSERSWORKGROUP ADD  ( FOREIGN KEY (CODIGOWORK,DBID) REFERENCES SPRINGWORKGROUP(CODIGO,DBID) ON DELETE CASCADE ) ;

CREATE TABLE SESSIONSPRING
(
	CODIGOUSER        NUMBER(32)     NOT NULL,
	LOGINID              NUMBER(32) NOT NULL,
	CODINFO			 NUMBER(32) NOT NULL,
	CODCATEGORY	 NUMBER(32) NOT NULL,
	NOMECARTA        VARCHAR2(32) NOT NULL,
	OPERACAO			 NUMBER(32) NOT NULL,
	DBID			         NUMBER(32)
);

ALTER TABLE SESSIONSPRING ADD  ( PRIMARY KEY (LOGINID,DBID) ) ;
