ALTER TABLE infolaye ADD COLUMN versao INTEGER DEFAULT 0;

CREATE UNIQUE INDEX infounicos ON infolaye (nome,categoria,projeto);

CREATE UNIQUE INDEX projunicos ON projects (nome);

CREATE UNIQUE INDEX catunicos ON category (nome,pai);

CREATE TABLE SPRINGUSERS
(
	CODIGO               INTEGER     NOT NULL,
	NOME                 VARCHAR(32) NOT NULL,    
	LOGIN                 VARCHAR(32) NOT NULL UNIQUE,
	SENHA                VARCHAR(32) NOT NULL,
	spostgresql_id serial not null unique,
    PRIMARY KEY (CODIGO)
);

CREATE TABLE SPRINGWORKGROUP
(
	CODIGO               INTEGER     NOT NULL,
	NOME                 VARCHAR(32) NOT NULL UNIQUE, 
    ADMINISTRADOR    INTEGER     NOT NULL,	
	IMAGEM               INTEGER     NOT NULL,
	CADASTRAL          INTEGER     NOT NULL,
	NUMERICO            INTEGER     NOT NULL,
	REDE                   INTEGER     NOT NULL,
	TEMATICO            INTEGER     NOT NULL,
	NESPACIAL           INTEGER     NOT NULL,
	OBJETO                INTEGER     NOT NULL,
	METADADOS	      INTEGER     NOT NULL,
	spostgresql_id serial not null unique,
    PRIMARY KEY (CODIGO)
);

CREATE TABLE SPRINGUSERSWORKGROUP
(
	CODIGOUSER               INTEGER     NOT NULL,
	CODIGOWORK              INTEGER     NOT NULL,
	spostgresql_id serial not null unique,
    PRIMARY KEY (CODIGOUSER,CODIGOWORK)
);

ALTER TABLE SPRINGUSERSWORKGROUP ADD CONSTRAINT CODIGOUSER_FK2 FOREIGN KEY (CODIGOUSER) REFERENCES SPRINGUSERS(CODIGO) MATCH FULL;
ALTER TABLE SPRINGUSERSWORKGROUP ADD CONSTRAINT CODIGOWORK_FK2 FOREIGN KEY (CODIGOWORK) REFERENCES SPRINGWORKGROUP(CODIGO) MATCH FULL;

CREATE TABLE SESSIONSPRING
(
	CODIGOUSER        INTEGER     NOT NULL,
	LOGINID               INTEGER NOT NULL,
	CODINFO			 INTEGER NOT NULL,
	CODCATEGORY	 INTEGER NOT NULL,
	NOMECARTA        VARCHAR(32) NOT NULL,
	OPERACAO			 INTEGER NOT NULL,
	spostgresql_id serial not null unique,
    PRIMARY KEY (spostgresql_id)
);