--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "AUTOCORRELACAO (X,Y)",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "LAG",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Autocorrelao",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 25,
	      [2] = 26,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "AUTOCORRELATION (X,Y)",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "LAG",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Autocorrelation",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 25,
		      [2] = 26,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "AUTOCORRELACIN (X,Y)",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "LAG",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Autocorrelacin",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 25,
		      [2] = 26,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end


-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

series25_1:style():pen():setColor(SgColor:new(128,0,255))
series25_1:markerStyle():setType(0)
series26_1:style():pen():setColor(SgColor:new(255,128,64))
series26_1:markerStyle():setType(0)

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)
