--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Histograma",
	  graphSubtitle = "Sub",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Direo (Graus)",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Parmetro",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 41,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Histogram",
		  graphSubtitle = "Sub",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Direction (Degrees)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Parameter",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 42,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Histograma",
		  graphSubtitle = "Sub",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Direccin (Grados)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Parmetro",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 43,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end


-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end
if Language == 'Portuguese' then
	series41_1:style():pen():setColor(SgColor:new(0, 0, 255))
	series41_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
else
	if Language == 'English' then
		series42_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series42_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
	else
		series43_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series43_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)
