--
-- SGD TemplateFile
--
-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Grfico de Torta",
	  templateName = "TORTA",
	  templateIndex = 2,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Personalizar (p)",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Personalizar (p)",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 36,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	      y3axeSeries = {
	      },
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Pie Graph",
		  templateName = "TORTA",
		  templateIndex = 2,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Personalizar (p)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Personalizar (p)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 36,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		      y3axeSeries = {
		      },
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Grfico de Torta",
		  templateName = "TORTA",
		  templateIndex = 2,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Personalizar (p)",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Personalizar (p)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 36,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		      y3axeSeries = {
		      },
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."pie.lua")
--CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

grad_ = SgColorGradient:new("grad_") 
grad_:addColor(SgColor:new(0, 255, 0)) 
grad_:addColor(SgColor:new(0, 255, 255)) 
grad_:addColor(SgColor:new(255, 0, 0)) 
grad_:addColor(SgColor:new(255, 0, 255))
grad_:addColor(SgColor:new(255, 255, 0))
grad_:addColor(SgColor:new(160, 160, 160))
plotarea_1:setColorSequence(grad_)

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)
